std::numeric_limits< wchar_t > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr wchar_t | denorm_min () noexcept
static constexpr wchar_t | epsilon () noexcept
static constexpr wchar_t | infinity () noexcept
static constexpr wchar_t | lowest () noexcept
static constexpr wchar_t | max () noexcept
static constexpr wchar_t | min () noexcept
static constexpr wchar_t | quiet_NaN () noexcept
static constexpr wchar_t | round_error () noexcept
static constexpr wchar_t | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<wchar_t> specialization.

Definition at line 663 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr wchar_t std::numeric_limits< wchar_t >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 717 of file limits.

## epsilon()

static constexpr wchar_t std::numeric_limits< wchar_t >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 690 of file limits.

## infinity()

static constexpr wchar_t std::numeric_limits< wchar_t >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 708 of file limits.

## lowest()

static constexpr wchar_t std::numeric_limits< wchar_t >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 675 of file limits.

## max()

static constexpr wchar_t std::numeric_limits< wchar_t >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 671 of file limits.

## min()

static constexpr wchar_t std::numeric_limits< wchar_t >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 668 of file limits.

## quiet_NaN()

static constexpr wchar_t std::numeric_limits< wchar_t >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 711 of file limits.

## round_error()

static constexpr wchar_t std::numeric_limits< wchar_t >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 693 of file limits.

## signaling_NaN()

static constexpr wchar_t std::numeric_limits< wchar_t >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 714 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< wchar_t >::digits

static constexpr

Definition at line 678 of file limits.

## digits10

constexpr int std::numeric_limits< wchar_t >::digits10

static constexpr

Definition at line 679 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< wchar_t >::has_denorm

static constexpr

Definition at line 703 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< wchar_t >::has_denorm_loss

static constexpr

Definition at line 705 of file limits.

## has_infinity

constexpr bool std::numeric_limits< wchar_t >::has_infinity

static constexpr

Definition at line 700 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< wchar_t >::has_quiet_NaN

static constexpr

Definition at line 701 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< wchar_t >::has_signaling_NaN

static constexpr

Definition at line 702 of file limits.

## is_bounded

constexpr bool std::numeric_limits< wchar_t >::is_bounded

static constexpr

Definition at line 720 of file limits.

## is_exact

constexpr bool std::numeric_limits< wchar_t >::is_exact

static constexpr

Definition at line 686 of file limits.

## is_iec559

constexpr bool std::numeric_limits< wchar_t >::is_iec559

static constexpr

Definition at line 719 of file limits.

## is_integer

constexpr bool std::numeric_limits< wchar_t >::is_integer

static constexpr

Definition at line 685 of file limits.

## is_modulo

constexpr bool std::numeric_limits< wchar_t >::is_modulo

static constexpr

Definition at line 721 of file limits.

## is_signed

constexpr bool std::numeric_limits< wchar_t >::is_signed

static constexpr

Definition at line 684 of file limits.

## is_specialized

constexpr bool std::numeric_limits< wchar_t >::is_specialized

static constexpr

Definition at line 665 of file limits.

## max_digits10

constexpr int std::numeric_limits< wchar_t >::max_digits10

static constexpr

Definition at line 682 of file limits.

## max_exponent

constexpr int std::numeric_limits< wchar_t >::max_exponent

static constexpr

Definition at line 697 of file limits.

## max_exponent10

constexpr int std::numeric_limits< wchar_t >::max_exponent10

static constexpr

Definition at line 698 of file limits.

## min_exponent

constexpr int std::numeric_limits< wchar_t >::min_exponent

static constexpr

Definition at line 695 of file limits.

## min_exponent10

constexpr int std::numeric_limits< wchar_t >::min_exponent10

static constexpr

Definition at line 696 of file limits.

## radix

constexpr int std::numeric_limits< wchar_t >::radix

static constexpr

Definition at line 687 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< wchar_t >::round_style

static constexpr

Definition at line 725 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< wchar_t >::tinyness_before

static constexpr

Definition at line 724 of file limits.

## traps

constexpr bool std::numeric_limits< wchar_t >::traps

static constexpr

Definition at line 723 of file limits.

The documentation for this struct was generated from the following file:

- limits